Find the answer to your Linux question:
Results 1 to 3 of 3
Hello guys, First of all sorry for english, tried my best, but still it's not my native ; ) Recently I was tried to install some ATI driver, the first ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Oct 2007
    Posts
    16

    ATI Driver installation problem(kernel version incompabillity) - need advise


    Hello guys,

    First of all sorry for english, tried my best, but still it's not my native ; )
    Recently I was tried to install some ATI driver, the first thing I did was a try to install original ATI driver from their site --- with no sucess.

    I have an Acer TravelMate 4602WLMi latop with ATI MOBILITY Radeon X600 on it and F8 installed on it.
    My current kernel version is:
    Code:
    Linux localhost.localdomain 2.6.23.15-137.fc8 #1 SMP Sun Feb 10 16:35:26 EST 2008 i686 i686 i386 GNU/Linux
    Then I've found at google some info about livna "fglrx" driver and I decided to try it.
    I've had some problem doing that, couse of the repos I took from "fedorafaq" that weren't good, so I removed them and got some basic repos from ftp sites. Now I can do it but, there is some new problem appeares its tells me something about kernel versions. The driver has i586 and my laptop's one is i686.
    Here is some print from my console:
    Code:
    [root@localhost bravo_elf]# yum install xorg-x11-drv-fglrx kmod-fglrx
    Code:
    =============================================================================
     Package                 Arch       Version          Repository        Size
    =============================================================================
    Installing:
     kernel                  i586       2.6.24.3-12.fc8  updates            17 M
    Removing:
     kernel                  i586       2.6.23.14-115.fc8  installed          45 M
    Installing for dependencies:
     kernel                  i686       2.6.24.3-12.fc8  updates            17 M
     kmod-fglrx              i686       8.455.2-2.8.02.lvn8  livna              17 k
     kmod-fglrx-2.6.24.3-12.fc8  i686       8.455.2-2.8.02.lvn8  livna             5                                           35 k
     livna-config-display    noarch     0.0.20-1.lvn8    livna              64 k
     xorg-x11-drv-fglrx      i386       8.455.2-1.8.02.lvn8  livna             9.2 M
     xorg-x11-drv-fglrx-libs  i386       8.455.2-1.8.02.lvn8  livna             5.4                                            M
    
    Transaction Summary
    =============================================================================
    Install      7 Package(s)
    Update       0 Package(s)
    Remove       1 Package(s)
    
    Total download size: 49 M
    Is this ok [y/N]: y

    And then I get this message:
    Code:
    file /lib/modules/2.6.24.3-12.fc8/kernel/fs/lockd/lockd.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/mbcache.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/minix/minix.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/msdos/msdos.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/ncpfs/ncpfs.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nfs/nfs.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nfs_common/nfs_acl.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nfsd/nfsd.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp1250.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp1251.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp1255.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp737.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp775.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp850.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp852.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp855.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp857.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp860.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp861.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp862.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp863.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
      file /lib/modules/2.6.24.3-12.fc8/kernel/fs/nls/nls_cp864.ko conflicts between attempted installs of kernel-2.6.24.3-12.fc8.i686 and kernel-2.6.24.3-12.fc8.i586
    this is just a sample, originally the list is much longer.
    As I can understand from it, there is some kernel versions problem, also I know that livna driver requiers a kernel module change after you update the whole system. It must be suitable.
    I've heard about some driver which do not need to be "changed" just when you update your entire system, as I can remember it has been called something like "kdms" etc.


    Any idea of how to solve this problem will be gladfuly appreciated.

  2. #2
    Linux Guru
    Join Date
    Jul 2004
    Posts
    4,593
    You could try and remove one of the kernels. You may want to remove everything that you did, to start from the beginning.

    Try to specify what you want installed/uninstalled by giving the version number along with it.

    Also, ATI has the most recent driver available from the AMD/ATI web site. I would install it from that source. It requires stopping the xserver first.
    Code:
    # init 3
    If you are not familiar with how to do things with a terminal, just ask how. I'll help.

    EDIT: It is not good to mix repos! As you have seen, it can cause version conflicts. I urge you to remove the repos that you added and only use the recommended ones for your distro. Do this before installing or updating your system any further, before any more problems are created.
    Please do not send Private Messages to me with requests for help. I will not reply.

  3. #3
    Linux Guru
    Join Date
    Jul 2004
    Posts
    4,593
    The driver that you download from ATI has the ability to produce a rpm package. You can then install this package without stopping the xserver.

    To see a list of the packages that it will make, cd to the folder that the driver is in, and enter this command:
    Code:
    sh ati-driver-installer-8-3-x86.x86_64.run --listpkg
    To then build a rpm for Fedora 8, you would enter this command:
    Code:
    sh ati-driver-installer-8-3-x86.x86_64.run --buildpkg Fedora/F8
    After installing the rpm, you need to then enter this command:
    Code:
    aticonfig --initial
    And reboot your computer.
    Please do not send Private Messages to me with requests for help. I will not reply.

  4. $spacer_open
    $spacer_close

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •